Bug 172165 - [NEW PORT] textproc/the_silver_searcher: A code-searching tool similar to ack but faster
[NEW PORT] textproc/the_silver_searcher: A code-searching tool similar to ack...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jase Thew
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-29 17:30 UTC by gslin
Modified: 2012-10-06 23:40 UTC (History)
1 user (show)

See Also:


Attachments
.shar (1.80 KB, text/plain)
2012-09-29 17:30 UTC, gslin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description gslin 2012-09-29 17:30:11 UTC
An attempt to make something better than ack, which itself is better than
grep.

WWW:	https://github.com/ggreer/the_silver_searcher

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Jase Thew freebsd_committer 2012-10-02 23:16:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jase

I'll take it.
Comment 2 dfilter freebsd_committer 2012-10-06 23:38:04 UTC
Author: jase
Date: Sat Oct  6 22:37:54 2012
New Revision: 305414
URL: http://svn.freebsd.org/changeset/ports/305414

Log:
  the_silver_searcher is an attempt to make something better than ack,
  which itself is better than grep.
  
  WWW:		https://github.com/ggreer/the_silver_searcher
  PR:		ports/172165
  Submitted by:	Gea-Suan Lin <gslin@gslin.org>
  Approved by:	flo, culot (mentors, implicit)

Added:
  head/textproc/the_silver_searcher/
  head/textproc/the_silver_searcher/Makefile   (contents, props changed)
  head/textproc/the_silver_searcher/distinfo   (contents, props changed)
  head/textproc/the_silver_searcher/pkg-descr   (contents, props changed)
Modified:
  head/textproc/Makefile

Modified: head/textproc/Makefile
==============================================================================
--- head/textproc/Makefile	Sat Oct  6 22:10:55 2012	(r305413)
+++ head/textproc/Makefile	Sat Oct  6 22:37:54 2012	(r305414)
@@ -1393,6 +1393,7 @@
     SUBDIR += texi2db
     SUBDIR += texi2html
     SUBDIR += textogif
+    SUBDIR += the_silver_searcher
     SUBDIR += ti-hunspell
     SUBDIR += tidyp
     SUBDIR += tinyxml

Added: head/textproc/the_silver_searcher/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/the_silver_searcher/Makefile	Sat Oct  6 22:37:54 2012	(r305414)
@@ -0,0 +1,23 @@
+# Created by: Gea-Suan Lin <gslin@gslin.org>
+# $FreeBSD$
+
+PORTNAME=	the_silver_searcher
+PORTVERSION=	0.12
+CATEGORIES=	textproc
+MASTER_SITES=	http://cloud.github.com/downloads/ggreer/${PORTNAME}/
+
+MAINTAINER=	gslin@gslin.org
+COMMENT=	A code-searching tool similar to ack but faster
+
+LIB_DEPENDS=	pcre:${PORTSDIR}/devel/pcre
+
+ACLOCAL_ARGS+=	-I ${ACLOCAL_DIR}
+AUTOMAKE_ARGS+=	--add-missing
+GNU_CONFIGURE=	yes
+PLIST_FILES=	bin/ag
+USE_AUTOTOOLS=	aclocal autoconf autoheader automake
+USE_PKGCONFIG=	build
+
+MAN1=		ag.1
+
+.include <bsd.port.mk>

Added: head/textproc/the_silver_searcher/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/the_silver_searcher/distinfo	Sat Oct  6 22:37:54 2012	(r305414)
@@ -0,0 +1,2 @@
+SHA256 (the_silver_searcher-0.12.tar.gz) = 4225fff08334c63013a4932d64ba484ec201117aee6213d75e510082401a47cb
+SIZE (the_silver_searcher-0.12.tar.gz) = 26300

Added: head/textproc/the_silver_searcher/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/the_silver_searcher/pkg-descr	Sat Oct  6 22:37:54 2012	(r305414)
@@ -0,0 +1,4 @@
+An attempt to make something better than ack, which itself is better than
+grep.
+
+WWW:	https://github.com/ggreer/the_silver_searcher
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jase Thew freebsd_committer 2012-10-06 23:38:36 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!